/dimensions
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Code Examples
curl --request GET \
--url https://api.lightcast.io/projected-skill-growth/dimensions \
--header 'accept: application/json' \
--header 'authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"skill"
]
}GET /dimensions/{dimension}
GET /dimensions/{dimension}Get dimension information.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling the projected growth of a skill. Example: skillAllowed: skill, skillcategory, skillsubcategory |
Code Examples
curl --request GET \
--url https://api.lightcast.io/projected-skill-growth/dimensions/skillsubcategory \
--header 'accept: application/json' \
--header 'authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"id": "skill",
"title": "Lightcast Skills",
"description": "Lightcast Skills is an open, comprehensive library of skills that uses the same terminology we use in the real world."
}
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}POST /dimensions/{dimension}
POST /dimensions/{dimension}Get the projected growth of demand for a skill over a 2-year period.
Path Parameters
| Name | Type | Description |
|---|---|---|
| dimension | enum | The occupation dimension used for modeling the projected growth of a skill. Example: skillAllowed: skill, skillcategory, skillsubcategory |
Request Body
{
"lot": {
"id": "23131110",
"level": "specializedOccupation"
},
"id": "KS1261Z68KSKR1X31KS3"
}Code Examples
curl --request POST \
--url https://api.lightcast.io/projected-skill-growth/dimensions/skill \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access Token>' \
--header 'content-type: application/json'Response Examples
{
"data": {
"id": "KS1261Z68KSKR1X31KS3",
"name": "Machine Learning",
"dimension": "skill",
"growthCategory": "Growing",
"percentGrowth": 0.1986
},
"warning": "'KS1261Z68KSKR1X31KS3' is a valid skill, but we do not have sufficient data for projection."
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}
